import HttpRequest from "./HttpRequest";
import { Exception } from "../../../Exception";
export default class HttpClient {
    static newCall<T>(httpRequest: HttpRequest): HttpCallInterface<T>;
}
export interface HttpResponse {
    result: string;
    error: Exception;
}
export interface HttpCallInterface<T> {
    execute(): Promise<HttpResponse>;
    sendAsync(): Promise<T>;
}
